/************************************************************************/
/*                                                                      */
/*                      1-Wire Example					*/
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#ifndef _main_h_
#define _main_h_
#include <avr/io.h>
#include <avr/interrupt.h>
//#include <avr/signal.h>
//#include <avr/signal.h>
#include <stdlib.h>
#include <stdio.h>
#include <avr/pgmspace.h>		//zum Eintragen des Textes, der die Programmversion anzeigt in der hex-Datei.
#include <util/delay.h>

//Auswahl des verwendeten Mikrocontroller-Typs
//#define Mega168
//#define Mega8
#define AT90S4433


//#define	XTAL		11059200L
#define XTAL		4000000L
//#define XTAL		5000000L
//#define XTAL		8000000L

//mgliche Baud-Raten kann man der Tabelle im Datenblatt des Mikrocontrollers entnehmen
//#define	BAUD	2400		//<<-- geht gut, ist zum Zuschauen laaaangsaaaam
//#define	BAUD	9600		//<<-- geht sehr gut, pat fr 8 MHz 
#define	BAUD	19200		//<<-- geht auch gut, pat fr 8 MHz und 4 MHz
//#define	BAUD	38400		//<<-- geht auch gut, pat fr 8 MHz 
//#define	BAUD	57600		//<<-- geht auch gut, pat fr 8 MHz 
//#define	BAUD	115200		//<<-- geht nicht
//#define	BAUD	76800		//<<-- geht nicht

#define bauddivider (uint)(1.0 * XTAL / BAUD / 16 - 0.5)


#define uchar unsigned char
#define uint unsigned int
#define bit uchar
#define idata
#define code


#define W1_PIN	PD4		//am Mega8 Pin6 = PD4, dort ist der Sensor angeschlossen
#define W1_IN	PIND
#define W1_OUT	PORTD
#define W1_DDR	DDRD

//#include "1wire_chr1.h"
//#include "delay_chr1.h"		//<<<<<<<<<<<<<--------<<<<<<<<<< die heraus lschen!!!! bringt Fehler im Timer1
//#include "tempmeas_chr1.h"
//#include "timebase_chr1.h"
#include "uart_chr1.h"

#endif
