/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/

// Version3 soll auf dem AT90S4433 portiert werden. Hierzu bentigt die Schaltung noch einen Quarz 8 MHz und zwei Kondensatoren 33 pF.

#include <C:\WinAVR-20100110\avr\include\avr\io.h>
#include <C:\WinAVR-20100110\avr\include\avr\interrupt.h>
//#include <C:\WinAVR-20100110\avr\include\avr\signal.h>
#include <C:\WinAVR-20100110\avr\include\stdlib.h>
#include "moodlight_chr5_3.h"

/*
//hier testweise Ausgabe der Variablen ml.flags
// bits in ml.flags
#define ML_FLAG_OFF   0x80
#define ML_FLAG_PAUSE 0x02
#define ML_FLAG_UP    0x01
extern struct {
    uint8_t  mode;      // the active moodlight mode
    uint8_t  delay;     // run moodlight_step() every "delay" PWM cycles
    uint16_t cycle;     // counter used by modes
    uint8_t  flags;     // on/off, stopped, direction
} ml;
*/


#define uchar unsigned char
#define uint unsigned int


#define	xRC5_IN		PINC
#define	xRC5		PC3			// IR input low active, ist PIN 26 = PC3
/*
#define	xRC5_IN		PIND
#define	xRC5		PD4			// IR input low active, ist PIN 6 = PD4
*/

//#define XTAL		8e6
#define XTAL		4e6

//#define	BAUD	9600
#define	BAUD	19200
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)


extern volatile uint rc5_data;				// store result  
//Achtung!!! mu volatile sein, laut http://www.mikrocontroller.net/topic/95575#new
//mute als Folge dieser nderung noch innerhalb von rc5.c die Zeile "volatile uint	rc5_data;	// store result" ndern
//ist klar, da es hieran liegen kann, denn es wurde niemels in das if hinein gesprungen.
//Allerdings bringt nur eine von 5 Fernbedienungen den RC5-Code tatschlich!!! Es waren also zwei Fehlerquellen gleichzeitig!


//anscheinend ist das diejenige Variable, die global gilt, innerhalb der Interruptroutine sowie innerhalb von Main
